API Reference
Links
Create, list, get, update, and delete deep links.
Create a Link
Authorization
bearerAuth AuthorizationBearer <token>
API key in format wl_live_xxx (production) or wl_test_xxx (test).
In: header
Request Body
application/json
destination_url*string
Format
urislug?string
Custom slug. Auto-generated if omitted.
Length
2 <= length <= 100ios_url?string
Format
uriios_fallback_url?string
Format
uriandroid_url?string
Format
uriandroid_fallback_url?string
Format
uriog_title?string
Length
length <= 255og_description?string
og_image_url?string
Format
uritags?array<>
Items
items <= 20expires_at?string
Must be in the future.
Format
date-timepassword?string
app_id?string
Format
uuidResponse Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://api.warplink.app/v1/links" \ -H "Content-Type: application/json" \ -d '{ "destination_url": "http://example.com" }'{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"short_url": "https://aplnk.to/abc123",
"slug": "abc123",
"domain": "aplnk.to",
"destination_url": "http://example.com",
"ios_url": "http://example.com",
"ios_fallback_url": "http://example.com",
"android_url": "http://example.com",
"android_fallback_url": "http://example.com",
"og_title": "string",
"og_description": "string",
"og_image_url": "http://example.com",
"app_id": "affd1d10-9538-4fc8-9e0b-4594a28c1335",
"expires_at": "2019-08-24T14:15:22Z",
"is_active": true,
"tags": [
"string"
],
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
}{
"error": {
"code": "NOT_FOUND",
"message": "Link not found",
"details": {
"fields": [
{
"field": "string",
"message": "string"
}
]
}
}
}{
"error": {
"code": "NOT_FOUND",
"message": "Link not found",
"details": {
"fields": [
{
"field": "string",
"message": "string"
}
]
}
}
}{
"error": {
"code": "NOT_FOUND",
"message": "Link not found",
"details": {
"fields": [
{
"field": "string",
"message": "string"
}
]
}
}
}{
"error": {
"code": "NOT_FOUND",
"message": "Link not found",
"details": {
"fields": [
{
"field": "string",
"message": "string"
}
]
}
}
}List Links
Authorization
bearerAuth AuthorizationBearer <token>
API key in format wl_live_xxx (production) or wl_test_xxx (test).
In: header
Query Parameters
limit?integer
Default
20Range
1 <= value <= 100offset?integer
Default
0Range
0 <= valuetag?string
is_active?string
Value in
"true" | "false"search?string
Length
length <= 200Response Body
application/json
application/json
curl -X GET "https://api.warplink.app/v1/links"{
"data": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"short_url": "https://aplnk.to/abc123",
"slug": "abc123",
"domain": "aplnk.to",
"destination_url": "http://example.com",
"ios_url": "http://example.com",
"ios_fallback_url": "http://example.com",
"android_url": "http://example.com",
"android_fallback_url": "http://example.com",
"og_title": "string",
"og_description": "string",
"og_image_url": "http://example.com",
"app_id": "affd1d10-9538-4fc8-9e0b-4594a28c1335",
"expires_at": "2019-08-24T14:15:22Z",
"is_active": true,
"tags": [
"string"
],
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
}
],
"pagination": {
"total": 0,
"limit": 0,
"offset": 0,
"has_more": true
}
}{
"error": {
"code": "NOT_FOUND",
"message": "Link not found",
"details": {
"fields": [
{
"field": "string",
"message": "string"
}
]
}
}
}Get a Link
Authorization
bearerAuth AuthorizationBearer <token>
API key in format wl_live_xxx (production) or wl_test_xxx (test).
In: header
Path Parameters
id*string
Format
uuidResponse Body
application/json
application/json
curl -X GET "https://api.warplink.app/v1/links/497f6eca-6276-4993-bfeb-53cbbbba6f08"{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"short_url": "https://aplnk.to/abc123",
"slug": "abc123",
"domain": "aplnk.to",
"destination_url": "http://example.com",
"ios_url": "http://example.com",
"ios_fallback_url": "http://example.com",
"android_url": "http://example.com",
"android_fallback_url": "http://example.com",
"og_title": "string",
"og_description": "string",
"og_image_url": "http://example.com",
"app_id": "affd1d10-9538-4fc8-9e0b-4594a28c1335",
"expires_at": "2019-08-24T14:15:22Z",
"is_active": true,
"tags": [
"string"
],
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
}{
"error": {
"code": "NOT_FOUND",
"message": "Link not found",
"details": {
"fields": [
{
"field": "string",
"message": "string"
}
]
}
}
}Update a Link
Authorization
bearerAuth AuthorizationBearer <token>
API key in format wl_live_xxx (production) or wl_test_xxx (test).
In: header
Path Parameters
id*string
Format
uuidRequest Body
application/json
destination_url?string
Format
uriios_url?|
Format
uriios_fallback_url?|
Format
uriandroid_url?|
Format
uriandroid_fallback_url?|
Format
uriog_title?|
Length
length <= 255og_description?|
og_image_url?|
Format
uritags?array<>|
Items
items <= 20expires_at?|
Format
date-timepassword?|
app_id?|
Format
uuidResponse Body
application/json
application/json
application/json
curl -X PATCH "https://api.warplink.app/v1/links/497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "Content-Type: application/json" \ -d '{}'{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"short_url": "https://aplnk.to/abc123",
"slug": "abc123",
"domain": "aplnk.to",
"destination_url": "http://example.com",
"ios_url": "http://example.com",
"ios_fallback_url": "http://example.com",
"android_url": "http://example.com",
"android_fallback_url": "http://example.com",
"og_title": "string",
"og_description": "string",
"og_image_url": "http://example.com",
"app_id": "affd1d10-9538-4fc8-9e0b-4594a28c1335",
"expires_at": "2019-08-24T14:15:22Z",
"is_active": true,
"tags": [
"string"
],
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
}{
"error": {
"code": "NOT_FOUND",
"message": "Link not found",
"details": {
"fields": [
{
"field": "string",
"message": "string"
}
]
}
}
}{
"error": {
"code": "NOT_FOUND",
"message": "Link not found",
"details": {
"fields": [
{
"field": "string",
"message": "string"
}
]
}
}
}Delete a Link
Authorization
bearerAuth AuthorizationBearer <token>
API key in format wl_live_xxx (production) or wl_test_xxx (test).
In: header
Path Parameters
id*string
Format
uuidResponse Body
application/json
application/json
curl -X DELETE "https://api.warplink.app/v1/links/497f6eca-6276-4993-bfeb-53cbbbba6f08"{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"short_url": "https://aplnk.to/abc123",
"slug": "abc123",
"domain": "aplnk.to",
"destination_url": "http://example.com",
"ios_url": "http://example.com",
"ios_fallback_url": "http://example.com",
"android_url": "http://example.com",
"android_fallback_url": "http://example.com",
"og_title": "string",
"og_description": "string",
"og_image_url": "http://example.com",
"app_id": "affd1d10-9538-4fc8-9e0b-4594a28c1335",
"expires_at": "2019-08-24T14:15:22Z",
"is_active": true,
"tags": [
"string"
],
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
}{
"error": {
"code": "NOT_FOUND",
"message": "Link not found",
"details": {
"fields": [
{
"field": "string",
"message": "string"
}
]
}
}
}